X2Go Bug report logs - #1197
Multihead fullscreen not working with TCE client in displaymanager mode

version graph

Package: x2gothinclient; Maintainer for x2gothinclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gothinclient is src:x2gothinclient.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Mon, 24 Jul 2017 13:20:01 UTC

Severity: normal

Found in version 4.1.0.0-2017.03.11

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 13:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 13:20:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 15:16:07 +0200 (CEST)
Package: x2gothinclient 
Version: 4.1.0.0-2017.03.11

Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm.
For example, with MATE, the panels are restricted to the first screen and the second one is acting like a real secondary screen in extended desktop mode with working boundaries when putting applications in fullscreen (ie. they don't extend to the whole display as before but they are restricted to their including screen).

So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens.

Any idea why, using the same base OS and libs (Ubuntu 16.04 + X2Go client "Heuler" + Arctica libs) I get different multiscreen support ?
I think this is related to randr support but I don't know what differs and why it behaves differently on one case and the other.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 14:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 14:25:02 GMT) Full text and rfc822 format available.

Message #10 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 16:23:20 +0200
I suspect the X server in TCE does not offer proper XINERAMA support.
So nxagent does not know about multiple monitors. You can check with
xdpyinfo -ext XINERAMA on the TCE X server (don't know how to access
that.)

On Mon, Jul 24, 2017 at 3:16 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Package: x2gothinclient
> Version: 4.1.0.0-2017.03.11
>
> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm.
> For example, with MATE, the panels are restricted to the first screen and the second one is acting like a real secondary screen in extended desktop mode with working boundaries when putting applications in fullscreen (ie. they don't extend to the whole display as before but they are restricted to their including screen).
>
> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens.
>
> Any idea why, using the same base OS and libs (Ubuntu 16.04 + X2Go client "Heuler" + Arctica libs) I get different multiscreen support ?
> I think this is related to randr support but I don't know what differs and why it behaves differently on one case and the other.
>
> Regards,
> Walid Moghrabi
>
> TRAVAUX.COM
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
> 13591 AIX EN PROVENCE CEDEX 3
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 16:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 16:15:02 GMT) Full text and rfc822 format available.

Message #15 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 18:04:05 +0200 (CEST)
Doesn't seems to be this ... here is the output (truncated) from the TCE and from my laptop ... they are very similar :

========================================================================
TCE output
========================================================================
name of display:    :0
version number:    11.0
vendor string:    The X.Org Foundation
vendor release number:    11804000
X.Org version: 1.18.4
maximum request size:  16777212 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, LSBFirst, 32
image byte order:    LSBFirst
number of supported pixmap formats:    7
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 4, bits_per_pixel 8, scanline_pad 32
    depth 8, bits_per_pixel 8, scanline_pad 32
    depth 15, bits_per_pixel 16, scanline_pad 32
    depth 16, bits_per_pixel 16, scanline_pad 32
    depth 24, bits_per_pixel 32, scanline_pad 32
    depth 32, bits_per_pixel 32, scanline_pad 32
keycode range:    minimum 8, maximum 255
focus:  window 0x600005, revert to Parent
number of extensions:    29
    BIG-REQUESTS
    Composite
    DAMAGE
    DOUBLE-BUFFER
    DPMS
    DRI2
    GLX
    Generic Event Extension
    MIT-SCREEN-SAVER
    MIT-SHM
    Present
    RANDR
    RECORD
    RENDER
    SECURITY
    SGI-GLX
    SHAPE
    SYNC
    X-Resource
    XC-MISC
    XFIXES
    XFree86-DGA
    XFree86-VidModeExtension
    XINERAMA
    XInputExtension
    XKEYBOARD
    XTEST
    XVideo
    XVideo-MotionCompensation
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    3840x1080 pixels (1016x285 millimeters)
  resolution:    96x96 dots per inch
  depths (7):    24, 1, 4, 8, 15, 16, 32
========================================================================



========================================================================
Laptop output
========================================================================
name of display:    :0
version number:    11.0
vendor string:    The X.Org Foundation
vendor release number:    11804000
X.Org version: 1.18.4
maximum request size:  16777212 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, LSBFirst, 32
image byte order:    LSBFirst
number of supported pixmap formats:    7
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 4, bits_per_pixel 8, scanline_pad 32
    depth 8, bits_per_pixel 8, scanline_pad 32
    depth 15, bits_per_pixel 16, scanline_pad 32
    depth 16, bits_per_pixel 16, scanline_pad 32
    depth 24, bits_per_pixel 32, scanline_pad 32
    depth 32, bits_per_pixel 32, scanline_pad 32
keycode range:    minimum 8, maximum 255
focus:  window 0x6e0686a, revert to Parent
number of extensions:    29
    BIG-REQUESTS
    Composite
    DAMAGE
    DOUBLE-BUFFER
    DPMS
    DRI2
    DRI3
    GLX
    Generic Event Extension
    MIT-SCREEN-SAVER
    MIT-SHM
    Present
    RANDR
    RECORD
    RENDER
    SECURITY
    SGI-GLX
    SHAPE
    SYNC
    X-Resource
    XC-MISC
    XFIXES
    XFree86-DGA
    XFree86-VidModeExtension
    XINERAMA
    XInputExtension
    XKEYBOARD
    XTEST
    XVideo
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    3840x1080 pixels (1016x286 millimeters)
  resolution:    96x96 dots per inch
  depths (7):    24, 1, 4, 8, 15, 16, 32
========================================================================

What is strange is that in both cases, here is only one screen detected which aggregates both monitors.	


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org 
Envoyé: Lundi 24 Juillet 2017 16:23:20 
Objet: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

I suspect the X server in TCE does not offer proper XINERAMA support. 
So nxagent does not know about multiple monitors. You can check with 
xdpyinfo -ext XINERAMA on the TCE X server (don't know how to access 
that.) 

On Mon, Jul 24, 2017 at 3:16 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Package: x2gothinclient 
> Version: 4.1.0.0-2017.03.11 
> 
> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
> For example, with MATE, the panels are restricted to the first screen and the second one is acting like a real secondary screen in extended desktop mode with working boundaries when putting applications in fullscreen (ie. they don't extend to the whole display as before but they are restricted to their including screen). 
> 
> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 
> 
> Any idea why, using the same base OS and libs (Ubuntu 16.04 + X2Go client "Heuler" + Arctica libs) I get different multiscreen support ? 
> I think this is related to randr support but I don't know what differs and why it behaves differently on one case and the other. 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 16:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 16:50:01 GMT) Full text and rfc822 format available.

Message #20 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 18:40:04 +0200
[Message part 1 (text/plain, inline)]
Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI:

> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm.
[...]
> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens.

Are you sure your custom TCE build includes the Arctica NX-Libs?
I would suggest logging in to a running TCE and comparing the output of
"dpkg -l".

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Message #25 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 18:55:32 +0200 (CEST)
Here is what I get :

root@TCE-CLIENT-DELL-VOSTRO230-33H4W4J:~# dpkg -l | grep nx
ii  nxproxy                            2:3.5.99.8-0.1+git20170630.2313+16.04.release.1                                  amd64        NX proxy



Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org 
Envoyé: Lundi 24 Juillet 2017 18:40:04 
Objet: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI: 

> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
[...] 
> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 

Are you sure your custom TCE build includes the Arctica NX-Libs? 
I would suggest logging in to a running TCE and comparing the output of 
"dpkg -l". 

Kind Regards, 
Stefan Baur 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Message #30 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 18:57:23 +0200
[Message part 1 (text/plain, inline)]
Am 24.07.2017 um 18:55 schrieb Walid MOGHRABI:

> root@TCE-CLIENT-DELL-VOSTRO230-33H4W4J:~# dpkg -l | grep nx
> ii  nxproxy                            2:3.5.99.8-0.1+git20170630.2313+16.04.release.1                                  amd64        NX proxy

And the laptop/machine where everything works the way you want it is
running which version of that package?

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 18:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 18:40:01 GMT) Full text and rfc822 format available.

Message #35 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 20:35:20 +0200
[Message part 1 (text/plain, inline)]
If I understand correctly  TCE is not the side where the nxagent is
running. So the version oft nx-libs there does not matter.

I am wondering how the connection from the laptop can generate xinerama
info as the laptop's xserver, that must provide the data, does not. Please
post a log oft the nxagent startup. And the output oft xdpyinfo -ext
XINERAMA within the session.

Uli

Am 24.07.2017 18:50 schrieb "Stefan Baur" <X2Go-ML-1@baur-itcs.de>:

Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI:

> Using latest Arctica's NX-Libs xrandr support is far better and multihead
support in fullscreen mode with the Linux x2goclient works like a charm.
[...]
> So with the Linux client installed on a desktop (I'm personaly using
Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE /
Displaymanager mode, multiple monitors are supported but the desktop is
stretched as if it was only one big screen and not 2 separated screens.

Are you sure your custom TCE build includes the Arctica NX-Libs?
I would suggest logging in to a running TCE and comparing the output of
"dpkg -l".

Kind Regards,
Stefan Baur

--
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


_______________________________________________
x2go-dev mailing list
x2go-dev@lists.x2go.org
https://lists.x2go.org/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Mon, 24 Jul 2017 19:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 24 Jul 2017 19:50:02 GMT) Full text and rfc822 format available.

Message #40 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de, 1197@bugs.x2go.org
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Mon, 24 Jul 2017 21:49:41 +0200 (CEST)
Well, I'll do this tomorrow.
The only thing I can tell is that multihead IS working on my laptop and I was quite sceptical too when I saw the output from my laptop ... I would have thought that it would list 2 separate screens at least and not on huge aggregated one.

Are there any requirements for randr to work with X2Go and Arctica libs on the client side ?
Maybe there are some tools/libs missing on the TCE side.
I saw that x11-xserver-utils where missing on my TCE side which means xrandr tool was missing and I couldn't use it.
Anyway, installing it changed a thing (before, the second screen was black when the broker logon was there, now it is blue and the screen ordering is different) but it didn't changed anything once the X2Go session was opened (still MATE Desktop stretched on both screens and only 1 huge monitor seen by the screen utility).


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
Envoyé: Lundi 24 Juillet 2017 20:35:20 
Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 


If I understand correctly TCE is not the side where the nxagent is running. So the version oft nx-libs there does not matter. 


I am wondering how the connection from the laptop can generate xinerama info as the laptop's xserver, that must provide the data, does not. Please post a log oft the nxagent startup. And the output oft xdpyinfo -ext XINERAMA within the session. 


Uli 


Am 24.07.2017 18:50 schrieb "Stefan Baur" < X2Go-ML-1@baur-itcs.de >: 



Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI: 

> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
[...] 

> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 

Are you sure your custom TCE build includes the Arctica NX-Libs? 
I would suggest logging in to a running TCE and comparing the output of 
"dpkg -l". 

Kind Regards, 
Stefan Baur 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243 


_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev 




_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 09:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 09:45:02 GMT) Full text and rfc822 format available.

Message #45 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: 1197@bugs.x2go.org
Cc: uli42@gmx.de
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 11:42:47 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Hi,

Here a log files taken  from the x2goserver when logged from my laptop (where it works) and from my tce (where it works badly).
I also attach the xdpyinfo output taken from within the x2go session from my laptop and from my tce ... As you will see, they are strictly identical.

In the log files, apparently, RANDR and XINERAMA support is enabled in both cases.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
À: uli42@gmx.de, 1197@bugs.x2go.org 
Envoyé: Lundi 24 Juillet 2017 21:49:41 
Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Well, I'll do this tomorrow. 
The only thing I can tell is that multihead IS working on my laptop and I was quite sceptical too when I saw the output from my laptop ... I would have thought that it would list 2 separate screens at least and not on huge aggregated one. 

Are there any requirements for randr to work with X2Go and Arctica libs on the client side ? 
Maybe there are some tools/libs missing on the TCE side. 
I saw that x11-xserver-utils where missing on my TCE side which means xrandr tool was missing and I couldn't use it. 
Anyway, installing it changed a thing (before, the second screen was black when the broker logon was there, now it is blue and the screen ordering is different) but it didn't changed anything once the X2Go session was opened (still MATE Desktop stretched on both screens and only 1 huge monitor seen by the screen utility). 


Regards, 
Walid Moghrabi 

TRAVAUX.COM 
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
13591 AIX EN PROVENCE CEDEX 3 

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
Envoyé: Lundi 24 Juillet 2017 20:35:20 
Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 


If I understand correctly TCE is not the side where the nxagent is running. So the version oft nx-libs there does not matter. 


I am wondering how the connection from the laptop can generate xinerama info as the laptop's xserver, that must provide the data, does not. Please post a log oft the nxagent startup. And the output oft xdpyinfo -ext XINERAMA within the session. 


Uli 


Am 24.07.2017 18:50 schrieb "Stefan Baur" < X2Go-ML-1@baur-itcs.de >: 



Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI: 

> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
[...] 

> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 

Are you sure your custom TCE build includes the Arctica NX-Libs? 
I would suggest logging in to a running TCE and comparing the output of 
"dpkg -l". 

Kind Regards, 
Stefan Baur 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243 


_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev 




_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev 
--- 
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[xdpyinfo_within_x2go_from_tce.txt (text/plain, attachment)]
[xdpyinfo_within_x2go_from_laptop.txt (text/plain, attachment)]
[session_log_from tce.txt (text/plain, attachment)]
[session_log_from laptop.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 11:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 11:25:02 GMT) Full text and rfc822 format available.

Message #50 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 13:23:14 +0200
Thanks.

First, both sessions do not offer xinerama to their clients.
Second: I mean the session log from nxagent, not from x2go. I cannot
check here for the correct filename. It is somewhere in ~/.x2go on the
server and starts similar to the following. Please also post the
xrandr output from within the session.
-------------------------------------
NXAGENT - Version 3.5.0
Copyright (C) 2001, 2011 NoMachine.

                                  See http://www.nomachine.com/ for
more information.
Info: Agent running with pid '2948'.
Session: Starting session at 'Tue Jul 25 13:19:14 2017'.

                              Info: Using alpha channel in render
extension.

Info: Not using local device configuration changes.

                                ...
-------------------------------------

I am a bit puzzled now. Is your x2goclient configuration really
absolutely identical for both setups? Can you retry the (working)
laptop session with a fresh user profile?

Uli



On Tue, Jul 25, 2017 at 11:42 AM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Hi,
>
> Here a log files taken  from the x2goserver when logged from my laptop (where it works) and from my tce (where it works badly).
> I also attach the xdpyinfo output taken from within the x2go session from my laptop and from my tce ... As you will see, they are strictly identical.
>
> In the log files, apparently, RANDR and XINERAMA support is enabled in both cases.
>
> Regards,
> Walid Moghrabi
>
> TRAVAUX.COM
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
> 13591 AIX EN PROVENCE CEDEX 3
>
> ----- Mail original -----
>
> De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>
> À: uli42@gmx.de, 1197@bugs.x2go.org
> Envoyé: Lundi 24 Juillet 2017 21:49:41
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
>
> Well, I'll do this tomorrow.
> The only thing I can tell is that multihead IS working on my laptop and I was quite sceptical too when I saw the output from my laptop ... I would have thought that it would list 2 separate screens at least and not on huge aggregated one.
>
> Are there any requirements for randr to work with X2Go and Arctica libs on the client side ?
> Maybe there are some tools/libs missing on the TCE side.
> I saw that x11-xserver-utils where missing on my TCE side which means xrandr tool was missing and I couldn't use it.
> Anyway, installing it changed a thing (before, the second screen was black when the broker logon was there, now it is blue and the screen ordering is different) but it didn't changed anything once the X2Go session was opened (still MATE Desktop stretched on both screens and only 1 huge monitor seen by the screen utility).
>
>
> Regards,
> Walid Moghrabi
>
> TRAVAUX.COM
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
> 13591 AIX EN PROVENCE CEDEX 3
>
> ----- Mail original -----
>
> De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com>
> À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
> Envoyé: Lundi 24 Juillet 2017 20:35:20
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
>
>
> If I understand correctly TCE is not the side where the nxagent is running. So the version oft nx-libs there does not matter.
>
>
> I am wondering how the connection from the laptop can generate xinerama info as the laptop's xserver, that must provide the data, does not. Please post a log oft the nxagent startup. And the output oft xdpyinfo -ext XINERAMA within the session.
>
>
> Uli
>
>
> Am 24.07.2017 18:50 schrieb "Stefan Baur" < X2Go-ML-1@baur-itcs.de >:
>
>
>
> Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI:
>
>> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm.
> [...]
>
>> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens.
>
> Are you sure your custom TCE build includes the Arctica NX-Libs?
> I would suggest logging in to a running TCE and comparing the output of
> "dpkg -l".
>
> Kind Regards,
> Stefan Baur
>
> --
> BAUR-ITCS UG (haftungsbeschränkt)
> Geschäftsführer: Stefan Baur
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
>
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
>
>
>
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 12:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 12:35:01 GMT) Full text and rfc822 format available.

Message #55 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 14:30:34 +0200 (CEST)
[Message part 1 (text/plain, inline)]
I'm sorry but I don't find anything looking similar in my ~/.x2go folder (nor anywhere else in my home in fact ...)

Here are the xrandr output from my laptop and from my TCE ... there you see a real difference.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org 
Envoyé: Mardi 25 Juillet 2017 13:23:14 
Objet: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Thanks. 

First, both sessions do not offer xinerama to their clients. 
Second: I mean the session log from nxagent, not from x2go. I cannot 
check here for the correct filename. It is somewhere in ~/.x2go on the 
server and starts similar to the following. Please also post the 
xrandr output from within the session. 
------------------------------------- 
NXAGENT - Version 3.5.0 
Copyright (C) 2001, 2011 NoMachine. 

See http://www.nomachine.com/ for 
more information. 
Info: Agent running with pid '2948'. 
Session: Starting session at 'Tue Jul 25 13:19:14 2017'. 

Info: Using alpha channel in render 
extension. 

Info: Not using local device configuration changes. 

... 
------------------------------------- 

I am a bit puzzled now. Is your x2goclient configuration really 
absolutely identical for both setups? Can you retry the (working) 
laptop session with a fresh user profile? 

Uli 



On Tue, Jul 25, 2017 at 11:42 AM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Hi, 
> 
> Here a log files taken from the x2goserver when logged from my laptop (where it works) and from my tce (where it works badly). 
> I also attach the xdpyinfo output taken from within the x2go session from my laptop and from my tce ... As you will see, they are strictly identical. 
> 
> In the log files, apparently, RANDR and XINERAMA support is enabled in both cases. 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> 
> ----- Mail original ----- 
> 
> De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
> À: uli42@gmx.de, 1197@bugs.x2go.org 
> Envoyé: Lundi 24 Juillet 2017 21:49:41 
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 
> 
> Well, I'll do this tomorrow. 
> The only thing I can tell is that multihead IS working on my laptop and I was quite sceptical too when I saw the output from my laptop ... I would have thought that it would list 2 separate screens at least and not on huge aggregated one. 
> 
> Are there any requirements for randr to work with X2Go and Arctica libs on the client side ? 
> Maybe there are some tools/libs missing on the TCE side. 
> I saw that x11-xserver-utils where missing on my TCE side which means xrandr tool was missing and I couldn't use it. 
> Anyway, installing it changed a thing (before, the second screen was black when the broker logon was there, now it is blue and the screen ordering is different) but it didn't changed anything once the X2Go session was opened (still MATE Desktop stretched on both screens and only 1 huge monitor seen by the screen utility). 
> 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> 
> ----- Mail original ----- 
> 
> De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
> À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
> Envoyé: Lundi 24 Juillet 2017 20:35:20 
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 
> 
> 
> If I understand correctly TCE is not the side where the nxagent is running. So the version oft nx-libs there does not matter. 
> 
> 
> I am wondering how the connection from the laptop can generate xinerama info as the laptop's xserver, that must provide the data, does not. Please post a log oft the nxagent startup. And the output oft xdpyinfo -ext XINERAMA within the session. 
> 
> 
> Uli 
> 
> 
> Am 24.07.2017 18:50 schrieb "Stefan Baur" < X2Go-ML-1@baur-itcs.de >: 
> 
> 
> 
> Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI: 
> 
>> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
> [...] 
> 
>> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 
> 
> Are you sure your custom TCE build includes the Arctica NX-Libs? 
> I would suggest logging in to a running TCE and comparing the output of 
> "dpkg -l". 
> 
> Kind Regards, 
> Stefan Baur 
> 
> -- 
> BAUR-ITCS UG (haftungsbeschränkt) 
> Geschäftsführer: Stefan Baur 
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243 
> 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> 
> 
> 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[xrandr_from_laptop.txt (text/plain, attachment)]
[xrandr_from_tce.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 12:45:02 GMT) Full text and rfc822 format available.

Message #60 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 1197@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 14:42:57 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Mea culpa, finally found the logs you asked for, please find them attached.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org 
Envoyé: Mardi 25 Juillet 2017 13:23:14 
Objet: Re: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Thanks. 

First, both sessions do not offer xinerama to their clients. 
Second: I mean the session log from nxagent, not from x2go. I cannot 
check here for the correct filename. It is somewhere in ~/.x2go on the 
server and starts similar to the following. Please also post the 
xrandr output from within the session. 
------------------------------------- 
NXAGENT - Version 3.5.0 
Copyright (C) 2001, 2011 NoMachine. 

See http://www.nomachine.com/ for 
more information. 
Info: Agent running with pid '2948'. 
Session: Starting session at 'Tue Jul 25 13:19:14 2017'. 

Info: Using alpha channel in render 
extension. 

Info: Not using local device configuration changes. 

... 
------------------------------------- 

I am a bit puzzled now. Is your x2goclient configuration really 
absolutely identical for both setups? Can you retry the (working) 
laptop session with a fresh user profile? 

Uli 



On Tue, Jul 25, 2017 at 11:42 AM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Hi, 
> 
> Here a log files taken from the x2goserver when logged from my laptop (where it works) and from my tce (where it works badly). 
> I also attach the xdpyinfo output taken from within the x2go session from my laptop and from my tce ... As you will see, they are strictly identical. 
> 
> In the log files, apparently, RANDR and XINERAMA support is enabled in both cases. 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> 
> ----- Mail original ----- 
> 
> De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
> À: uli42@gmx.de, 1197@bugs.x2go.org 
> Envoyé: Lundi 24 Juillet 2017 21:49:41 
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 
> 
> Well, I'll do this tomorrow. 
> The only thing I can tell is that multihead IS working on my laptop and I was quite sceptical too when I saw the output from my laptop ... I would have thought that it would list 2 separate screens at least and not on huge aggregated one. 
> 
> Are there any requirements for randr to work with X2Go and Arctica libs on the client side ? 
> Maybe there are some tools/libs missing on the TCE side. 
> I saw that x11-xserver-utils where missing on my TCE side which means xrandr tool was missing and I couldn't use it. 
> Anyway, installing it changed a thing (before, the second screen was black when the broker logon was there, now it is blue and the screen ordering is different) but it didn't changed anything once the X2Go session was opened (still MATE Desktop stretched on both screens and only 1 huge monitor seen by the screen utility). 
> 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> 
> ----- Mail original ----- 
> 
> De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
> À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
> Envoyé: Lundi 24 Juillet 2017 20:35:20 
> Objet: [X2Go-Dev] Bug#1197: Bug#1197: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 
> 
> 
> If I understand correctly TCE is not the side where the nxagent is running. So the version oft nx-libs there does not matter. 
> 
> 
> I am wondering how the connection from the laptop can generate xinerama info as the laptop's xserver, that must provide the data, does not. Please post a log oft the nxagent startup. And the output oft xdpyinfo -ext XINERAMA within the session. 
> 
> 
> Uli 
> 
> 
> Am 24.07.2017 18:50 schrieb "Stefan Baur" < X2Go-ML-1@baur-itcs.de >: 
> 
> 
> 
> Am 24.07.2017 um 15:16 schrieb Walid MOGHRABI: 
> 
>> Using latest Arctica's NX-Libs xrandr support is far better and multihead support in fullscreen mode with the Linux x2goclient works like a charm. 
> [...] 
> 
>> So with the Linux client installed on a desktop (I'm personaly using Ubuntu 16.04 + Unity desktop) it works great whereas, in TCE / Displaymanager mode, multiple monitors are supported but the desktop is stretched as if it was only one big screen and not 2 separated screens. 
> 
> Are you sure your custom TCE build includes the Arctica NX-Libs? 
> I would suggest logging in to a running TCE and comparing the output of 
> "dpkg -l". 
> 
> Kind Regards, 
> Stefan Baur 
> 
> -- 
> BAUR-ITCS UG (haftungsbeschränkt) 
> Geschäftsführer: Stefan Baur 
> Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
> Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243 
> 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> 
> 
> 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
> 
> _______________________________________________ 
> x2go-dev mailing list 
> x2go-dev@lists.x2go.org 
> https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[nxagent_log_from_tce.txt (text/plain, attachment)]
[nxagent_log_from_laptop.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 17:00:02 GMT) Full text and rfc822 format available.

Message #65 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1197@bugs.x2go.org, Walid MOGHRABI <w.moghrabi@servicemagic.eu>, Ulrich Sibiller <ulrich.sibiller@gmail.com>
Subject: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 18:55:59 +0200
[Message part 1 (text/plain, inline)]
Hi folks,

Just an idea - some XRANDR-related stuff that is specific to
X2Go-TCE-Live is happening in this file:

<https://code.x2go.org/gitweb?p=live-build-x2go.git;a=blob;f=config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig;h=49b9f0f8e0f85d4471be6c4e1cbcad83115b3009;hb=65d1f40a812f4ae95dddd97c85b995b10ba9e678>

Which, in turn, was inspired by this file from X2Go-TCE-Classic (NFS):

<http://code.x2go.org/gitweb?p=x2gothinclient.git;a=blob_plain;f=displaymanager/sbin/x2gothinclientd;h=6897d42d17bd6778e7de5e62ec3f51727d4e8800;hb=HEAD>

As this is specific to the TCEs, maybe this is the root cause of the
difference you're seeing?

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Tue, 25 Jul 2017 20:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 25 Jul 2017 20:15:02 GMT) Full text and rfc822 format available.

Message #70 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1197@bugs.x2go.org, Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Tue, 25 Jul 2017 22:11:28 +0200
On Tue, Jul 25, 2017 at 6:55 PM, Stefan Baur <X2Go-ML-1@baur-itcs.de> wrote:
> Hi folks,
>
> Just an idea - some XRANDR-related stuff that is specific to
> X2Go-TCE-Live is happening in this file:
>
> <https://code.x2go.org/gitweb?p=live-build-x2go.git;a=blob;f=config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig;h=49b9f0f8e0f85d4471be6c4e1cbcad83115b3009;hb=65d1f40a812f4ae95dddd97c85b995b10ba9e678>
>
> Which, in turn, was inspired by this file from X2Go-TCE-Classic (NFS):
>
> <http://code.x2go.org/gitweb?p=x2gothinclient.git;a=blob_plain;f=displaymanager/sbin/x2gothinclientd;h=6897d42d17bd6778e7de5e62ec3f51727d4e8800;hb=HEAD>
>
> As this is specific to the TCEs, maybe this is the root cause of the
> difference you're seeing?

Hmmm, I doubt that. Usings NX the client side is not really doing
anything X wise. It's the nxagent that calls XineramaQueryScreens().
It asks the client side X server (the real X server) for its Xinerama
configuration. We have learned from the previous outputs that Walis
had sent that the real X server does not have Xinerama configured.
Therefore the agent does not see any Xinerama configuration. (The only
possible exception to this would be nxproxy running with LD_PRELOAD of
libfakexinerama.so which is not happening here.)

Now, in the Laptop scenario you can see via xrandr that nxagent has
gotten the Xinerama information somehow. Otherwise it would not have
been possible to setup two NX outputs/monitors/heads.

The two logfiles are almost the same except the last line where the in
the Laptop scenario you can see this line

Info: Screen [0] resized to geometry [3840x1080] fullscreen [1].

This line is printed if nxagent has received and processed a sizing
event. In the TCE scenario no sizing event was sent to nxagent which -
if really true - is probably the TCE window manager's fault.

Walid, can you please try pressing CTRL-ALT-F twice in the TCE
scenario? What is xrandr showing afterwards?

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 08:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 08:40:02 GMT) Full text and rfc822 format available.

Message #75 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: uli42@gmx.de
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 10:35:22 +0200 (CEST)
Hi guys,

Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up.
My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed)

By the way, Stefan put the finger on one point : in /usr/sbin/x2gothinclientd, I commented the whole randr stuff block (from line 114 to line 175) to make a try then restarted the x2gothinclient-displaymanager but while it didn't fix my multimonitor support within the X2Go session, it fixed a bad ordering of the monitors.
Before that, my monitors were inverted (right was left and left was right), commenting this block lead to right ordering of the monitors this time.

Concerning your test Uli, doing "Ctrl+Alt+F" within the X2Go session on the TCE did nothing.
I don't know if it was meant to do anything but I did it many times following the action by a xrandr output in the console, nothing changed, same values all the time (one big screen, not 2)


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
Cc: 1197@bugs.x2go.org, "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Envoyé: Mardi 25 Juillet 2017 22:11:28 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Tue, Jul 25, 2017 at 6:55 PM, Stefan Baur <X2Go-ML-1@baur-itcs.de> wrote: 
> Hi folks, 
> 
> Just an idea - some XRANDR-related stuff that is specific to 
> X2Go-TCE-Live is happening in this file: 
> 
> <https://code.x2go.org/gitweb?p=live-build-x2go.git;a=blob;f=config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig;h=49b9f0f8e0f85d4471be6c4e1cbcad83115b3009;hb=65d1f40a812f4ae95dddd97c85b995b10ba9e678> 
> 
> Which, in turn, was inspired by this file from X2Go-TCE-Classic (NFS): 
> 
> <http://code.x2go.org/gitweb?p=x2gothinclient.git;a=blob_plain;f=displaymanager/sbin/x2gothinclientd;h=6897d42d17bd6778e7de5e62ec3f51727d4e8800;hb=HEAD> 
> 
> As this is specific to the TCEs, maybe this is the root cause of the 
> difference you're seeing? 

Hmmm, I doubt that. Usings NX the client side is not really doing 
anything X wise. It's the nxagent that calls XineramaQueryScreens(). 
It asks the client side X server (the real X server) for its Xinerama 
configuration. We have learned from the previous outputs that Walis 
had sent that the real X server does not have Xinerama configured. 
Therefore the agent does not see any Xinerama configuration. (The only 
possible exception to this would be nxproxy running with LD_PRELOAD of 
libfakexinerama.so which is not happening here.) 

Now, in the Laptop scenario you can see via xrandr that nxagent has 
gotten the Xinerama information somehow. Otherwise it would not have 
been possible to setup two NX outputs/monitors/heads. 

The two logfiles are almost the same except the last line where the in 
the Laptop scenario you can see this line 

Info: Screen [0] resized to geometry [3840x1080] fullscreen [1]. 

This line is printed if nxagent has received and processed a sizing 
event. In the TCE scenario no sizing event was sent to nxagent which - 
if really true - is probably the TCE window manager's fault. 

Walid, can you please try pressing CTRL-ALT-F twice in the TCE 
scenario? What is xrandr showing afterwards? 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:05:02 GMT) Full text and rfc822 format available.

Message #80 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:01:20 +0200
On Wed, Jul 26, 2017 at 10:35 AM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up.
> My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed)

Maybe Stefan can provide an image that you can try?

> By the way, Stefan put the finger on one point : in /usr/sbin/x2gothinclientd, I commented the whole randr stuff block (from line 114 to line 175) to make a try then restarted the x2gothinclient-displaymanager but while it didn't fix my multimonitor support within the X2Go session, it fixed a bad ordering of the monitors.
> Before that, my monitors were inverted (right was left and left was right), commenting this block lead to right ordering of the monitors this time.

AFAIU wrong ordering is the raeson for that code. You can instruct it
how to arrange the monitors via that code ("above", "leftof" a.s.o.)

> Concerning your test Uli, doing "Ctrl+Alt+F" within the X2Go session on the TCE did nothing.
> I don't know if it was meant to do anything but I did it many times following the action by a xrandr output in the console, nothing changed, same values all the time (one big screen, not 2)

Hmm, this keystroke is supposed to toggle fullscreen. And it is
working in the TCE image I have here (switches to windowed mode and
back again to fullscreen on the second stroke). You could also try
Ctrl+Shift+Alt+F but I doubt it will work if the other keystroke did
not work...

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:05:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:05:03 GMT) Full text and rfc822 format available.

Message #85 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: 1197@bugs.x2go.org
Cc: uli42@gmx.de
Subject: Re: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:02:37 +0200 (CEST)
Hi again,

Just to add a few more informations, here is the xrandr output taken from the TCE itself (not from within the x2go session) :

================================================================================================
root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xrandr --display :0
Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
DVI-I-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1280x1024     75.02    60.02  
   1152x864      75.00  
   1024x768      75.08    60.00  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
HDMI-1 disconnected (normal left inverted right x axis y axis)
VGA-1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1280x1024     75.02    60.02  
   1152x864      75.00  
   1024x768      75.08    60.00  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
=================================================================================================

As you can see, both monitors are perfectly detected.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
À: uli42@gmx.de 
Cc: 1197@bugs.x2go.org 
Envoyé: Mercredi 26 Juillet 2017 10:35:22 
Objet: [X2Go-Dev] Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Hi guys, 

Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up. 
My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed) 

By the way, Stefan put the finger on one point : in /usr/sbin/x2gothinclientd, I commented the whole randr stuff block (from line 114 to line 175) to make a try then restarted the x2gothinclient-displaymanager but while it didn't fix my multimonitor support within the X2Go session, it fixed a bad ordering of the monitors. 
Before that, my monitors were inverted (right was left and left was right), commenting this block lead to right ordering of the monitors this time. 

Concerning your test Uli, doing "Ctrl+Alt+F" within the X2Go session on the TCE did nothing. 
I don't know if it was meant to do anything but I did it many times following the action by a xrandr output in the console, nothing changed, same values all the time (one big screen, not 2) 


Regards, 
Walid Moghrabi 

TRAVAUX.COM 
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
13591 AIX EN PROVENCE CEDEX 3 

----- Mail original ----- 

De: "Ulrich Sibiller" <ulrich.sibiller@gmail.com> 
À: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
Cc: 1197@bugs.x2go.org, "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Envoyé: Mardi 25 Juillet 2017 22:11:28 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Tue, Jul 25, 2017 at 6:55 PM, Stefan Baur <X2Go-ML-1@baur-itcs.de> wrote: 
> Hi folks, 
> 
> Just an idea - some XRANDR-related stuff that is specific to 
> X2Go-TCE-Live is happening in this file: 
> 
> <https://code.x2go.org/gitweb?p=live-build-x2go.git;a=blob;f=config/includes.chroot/lib/live/config/2800-x2go-thinclientconfig;h=49b9f0f8e0f85d4471be6c4e1cbcad83115b3009;hb=65d1f40a812f4ae95dddd97c85b995b10ba9e678> 
> 
> Which, in turn, was inspired by this file from X2Go-TCE-Classic (NFS): 
> 
> <http://code.x2go.org/gitweb?p=x2gothinclient.git;a=blob_plain;f=displaymanager/sbin/x2gothinclientd;h=6897d42d17bd6778e7de5e62ec3f51727d4e8800;hb=HEAD> 
> 
> As this is specific to the TCEs, maybe this is the root cause of the 
> difference you're seeing? 

Hmmm, I doubt that. Usings NX the client side is not really doing 
anything X wise. It's the nxagent that calls XineramaQueryScreens(). 
It asks the client side X server (the real X server) for its Xinerama 
configuration. We have learned from the previous outputs that Walis 
had sent that the real X server does not have Xinerama configured. 
Therefore the agent does not see any Xinerama configuration. (The only 
possible exception to this would be nxproxy running with LD_PRELOAD of 
libfakexinerama.so which is not happening here.) 

Now, in the Laptop scenario you can see via xrandr that nxagent has 
gotten the Xinerama information somehow. Otherwise it would not have 
been possible to setup two NX outputs/monitors/heads. 

The two logfiles are almost the same except the last line where the in 
the Laptop scenario you can see this line 

Info: Screen [0] resized to geometry [3840x1080] fullscreen [1]. 

This line is printed if nxagent has received and processed a sizing 
event. In the TCE scenario no sizing event was sent to nxagent which - 
if really true - is probably the TCE window manager's fault. 

Walid, can you please try pressing CTRL-ALT-F twice in the TCE 
scenario? What is xrandr showing afterwards? 

Uli 
--- 
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you 
_______________________________________________ 
x2go-dev mailing list 
x2go-dev@lists.x2go.org 
https://lists.x2go.org/listinfo/x2go-dev
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:10:02 GMT) Full text and rfc822 format available.

Message #90 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Ulrich Sibiller <uli42@gmx.de>, Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:05:20 +0200
[Message part 1 (text/plain, inline)]
Am 26.07.2017 um 11:01 schrieb Ulrich Sibiller:
>> Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up.

Why didn't you report your issues with the current build process in a
bug or on the list so we have a chance to improve our build
process/documentation?


>> My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed)
> Maybe Stefan can provide an image that you can try?

We already do. Our images are hosted at

http://x2go.baur-itcs.de/

and I'm actually working on a new build of the stable image for a
customer, so expect a new upload in the next few days.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:10:02 GMT) Full text and rfc822 format available.

Message #95 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:09:00 +0200 (CEST)
Humm ... I guess the images used by Stefan are "mini desktop" based.
I don't want to use that mode, I'd rather go with the "displaymanager" mode instead.
I really want my users to login directly to their X2Go session.

I works really well in one screen only situations but now, I'd like to give my devs access to a X2Go session too but they use dual head setup and so, I wanted to have a good dual head support ... which is the case with the client under Linux (but not under Windows as I already reported earlier) so I thought that making them use the TCE would fix that but that is not the case for unknown reason.

There must be a way to fix that but I admit that my knowledge on that part is somewhat limited.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: 1197@bugs.x2go.org, "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
Envoyé: Mercredi 26 Juillet 2017 11:01:20 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Wed, Jul 26, 2017 at 10:35 AM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up. 
> My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed) 

Maybe Stefan can provide an image that you can try? 

> By the way, Stefan put the finger on one point : in /usr/sbin/x2gothinclientd, I commented the whole randr stuff block (from line 114 to line 175) to make a try then restarted the x2gothinclient-displaymanager but while it didn't fix my multimonitor support within the X2Go session, it fixed a bad ordering of the monitors. 
> Before that, my monitors were inverted (right was left and left was right), commenting this block lead to right ordering of the monitors this time. 

AFAIU wrong ordering is the raeson for that code. You can instruct it 
how to arrange the monitors via that code ("above", "leftof" a.s.o.) 

> Concerning your test Uli, doing "Ctrl+Alt+F" within the X2Go session on the TCE did nothing. 
> I don't know if it was meant to do anything but I did it many times following the action by a xrandr output in the console, nothing changed, same values all the time (one big screen, not 2) 

Hmm, this keystroke is supposed to toggle fullscreen. And it is 
working in the TCE image I have here (switches to windowed mode and 
back again to fullscreen on the second stroke). You could also try 
Ctrl+Shift+Alt+F but I doubt it will work if the other keystroke did 
not work... 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:25:01 GMT) Full text and rfc822 format available.

Message #100 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, Ulrich Sibiller <uli42@gmx.de>
Cc: 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:21:32 +0200
[Message part 1 (text/plain, inline)]
Am 26.07.2017 um 11:09 schrieb Walid MOGHRABI:
> Humm ... I guess the images used by Stefan are "mini desktop" based.
> I don't want to use that mode, I'd rather go with the "displaymanager" mode instead.
> I really want my users to login directly to their X2Go session.

How about actually taking a look, rather than guessing? ;-)
Hint: They're NOT minidesktop-based.

Minidesktop is still in development - it's something I occasionally work
on in my spare time - and is *one* of *four* feature branches - in fact
it doesn't even show up in X2Go's official Git yet (see bottom of
<https://code.x2go.org/gitweb?p=live-build-x2go.git;a=summary>), only in
the github repo we use in parallel for development builds
(<https://github.com/LinuxHaus/live-build-x2go/tree/feature/mate-minidesktop>).


> I works really well in one screen only situations but now, I'd like to give my devs access to a X2Go session too but they use dual head setup and so, I wanted to have a good dual head support ... which is the case with the client under Linux (but not under Windows as I already reported earlier) so I thought that making them use the TCE would fix that but that is not the case for unknown reason.
> 
> There must be a way to fix that but I admit that my knowledge on that part is somewhat limited.

Then use the official build process or one of our provided images,
before you start tinkering.  That way, we actually have a chance of
telling where you took the wrong turn and are able to support you.
I know for sure that our build works with dual head, as that was a
paying customer's request and so we tested it.
Though I'm not sure if it works the way you expect it to work.
Screenshots/Pictures of your desired setup (iow, from your laptop) might
help.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:30:02 GMT) Full text and rfc822 format available.

Message #105 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1197@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:25:44 +0200 (CEST)
> Why didn't you report your issues with the current build process in a 
> bug or on the list so we have a chance to improve our build 
> process/documentation? 

Well, for multiple reasons :

First : the kernel image process uses live build scripts that are obsolete on Ubuntu 16.04 so it crashes all the time because of invalid dependencies problems (those scripts needs packages from Debian that are not available on Ubuntu) ... so it was just headaches

Second : sorry to say that but the live build process documentation is pretty partial and based on situation where "it works" but outside that scope a lot of things "just don't work" and there are many forks for the setup scripts from many users so to be honest ... this is a bit messy and since there is nothing in the repo but everything in personnal github here and there, it was just to complicated

Third : I wanted to report things and help in building a nice TCE builder process but I wanted to base this on Ubuntu and not Debian and I also wanted to understand what was under the hood so I did it myself and to my surprise, it was not that complicated and works pretty well (until this dual head problem) for then report things and help.

I'll give a try to the built images.

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
À: "Ulrich Sibiller" <uli42@gmx.de>, "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: 1197@bugs.x2go.org 
Envoyé: Mercredi 26 Juillet 2017 11:05:20 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Am 26.07.2017 um 11:01 schrieb Ulrich Sibiller: 
>> Just to give a bit more informations on my TCE setup : it is not based on the live-build scripts because it is not well suited for Ubuntu 16.04 and to be honest, I never managed to get a working live build that way so I gave up. 

Why didn't you report your issues with the current build process in a 
bug or on the list so we have a chance to improve our build 
process/documentation? 


>> My TCE image is more or less a tweaked ubuntu 16.04 debbotstrapped image with x2gothinclient-displaymanager installed (+ a few more things but really, this is a pretty basic ubuntu server image + x2gothinclient installed) 
> Maybe Stefan can provide an image that you can try? 

We already do. Our images are hosted at 

http://x2go.baur-itcs.de/ 

and I'm actually working on a new build of the stable image for a 
customer, so expect a new upload in the next few days. 

Kind Regards, 
Stefan Baur 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:30:02 GMT) Full text and rfc822 format available.

Message #110 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:26:32 +0200
On Wed, Jul 26, 2017 at 11:21 AM, Stefan Baur <X2Go-ML-1@baur-itcs.de> wrote:
> Then use the official build process or one of our provided images,
> before you start tinkering.  That way, we actually have a chance of
> telling where you took the wrong turn and are able to support you.
> I know for sure that our build works with dual head, as that was a
> paying customer's request and so we tested it.
> Though I'm not sure if it works the way you expect it to work.
> Screenshots/Pictures of your desired setup (iow, from your laptop) might
> help.

While you are right in principle you need to consider what complicates
the issue here: Walid is using nx-libs 3.5.99.x. So have you tested
with them, too? If we knew if XINERAMA it is working  properly even
with beta nx-libs this would definitely help!

@Walid: can you provide what you have as a bootable image?

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:40:02 GMT) Full text and rfc822 format available.

Message #115 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:38:28 +0200
[Message part 1 (text/plain, inline)]
Am 26.07.2017 um 11:26 schrieb Ulrich Sibiller:
> While you are right in principle you need to consider what complicates
> the issue here: Walid is using nx-libs 3.5.99.x. So have you tested
> with them, too? If we knew if XINERAMA it is working  properly even
> with beta nx-libs this would definitely help!

No, we haven't tested that combination, as our customer runs the stable
release.  But: Our images are available to everyone and known to work
against stable, so those should be the starting point for all tests.

If/Once these images play nice with 3.5.99.x, we can start taking a look
at why forks/homegrown scripts don't work.  Until then, it's a
wild-goose chase.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:50:02 GMT) Full text and rfc822 format available.

Message #120 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1197@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:48:36 +0200 (CEST)
Hi,

Just tested the pre-built images from Stefan.
It works with dual head, I have to tweak it a little now to use our broker instead of the session file supplied but it works (I modified the session file to tap on my X2Go server and not the demo server from Stefan).

By the way, another reason why I wanted to go Ubuntu and not Debian is the kernel support ... Debian provides 3.16 (in Jessie) and some of our test hardware were too new for that and needed at least 4.x.
Ubuntu 16.04 through its HWE support provides from 4.4 to 4.10.

One question : I didn't see any x2gothinclient_init, x2gothinclient_start file in /etc/x2go in this image ... where is the client configured and where can I add my broker settings ?


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
À: "Ulrich Sibiller" <uli42@gmx.de> 
Cc: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org 
Envoyé: Mercredi 26 Juillet 2017 11:38:28 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Am 26.07.2017 um 11:26 schrieb Ulrich Sibiller: 
> While you are right in principle you need to consider what complicates 
> the issue here: Walid is using nx-libs 3.5.99.x. So have you tested 
> with them, too? If we knew if XINERAMA it is working properly even 
> with beta nx-libs this would definitely help! 

No, we haven't tested that combination, as our customer runs the stable 
release. But: Our images are available to everyone and known to work 
against stable, so those should be the starting point for all tests. 

If/Once these images play nice with 3.5.99.x, we can start taking a look 
at why forks/homegrown scripts don't work. Until then, it's a 
wild-goose chase. 

-Stefan 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 09:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 09:55:01 GMT) Full text and rfc822 format available.

Message #125 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:49:56 +0200
[Message part 1 (text/plain, inline)]
Am 26.07.2017 um 11:25 schrieb Walid MOGHRABI:
>> Why didn't you report your issues with the current build process in a 
>> bug or on the list so we have a chance to improve our build 
>> process/documentation? 
> 
> Well, for multiple reasons :
> 
> First : the kernel image process uses live build scripts that are obsolete on Ubuntu 16.04 so it crashes all the time because of invalid dependencies problems (those scripts needs packages from Debian that are not available on Ubuntu) ... so it was just headaches

You could probably set up a Debian changeroot using debootstrap
(admittedly, I've never tried that, though), or a virtual machine with
Debian as a dedicated build host.


> Second : sorry to say that but the live build process documentation is pretty partial and based on situation where "it works" but outside that scope a lot of things "just don't work" and there are many forks for the setup scripts from many users so to be honest ... this is a bit messy and since there is nothing in the repo but everything in personnal github here and there, it was just to complicated

Are you talking about the live-build project's documentation, or the
X2Go-TCE-Live documentation?

If all you want to do is build X2Go-TCE-Live images, you don't need to
start by reading and trying to understand the live-build project's docs.

Read our Wiki page:
<https://wiki.x2go.org/doku.php/doc:howto:tce#starting_the_build>, run
the three chunks of code given in the sections titled "Configuring the
Build", "Live-Patching the Build", "Starting the Build", and you end up
with a stable, i386 build ready for netbooting via PXE, TFTP, HTTP.

Prefer one that boots from local/portable media?
Change
export LBX2GO_IMAGETYPE='netboot'
to
export LBX2GO_IMAGETYPE='iso-hybrid'
in the first chunk of code, and you're done.  Can't get much easier than
that, can it?

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 10:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 10:00:02 GMT) Full text and rfc822 format available.

Message #130 received at 1197@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 11:55:56 +0200
[Message part 1 (text/plain, inline)]
Am 26.07.2017 um 11:48 schrieb Walid MOGHRABI:
> By the way, another reason why I wanted to go Ubuntu and not Debian is the kernel support ... Debian provides 3.16 (in Jessie) and some of our test hardware were too new for that and needed at least 4.x.
> Ubuntu 16.04 through its HWE support provides from 4.4 to 4.10.
> 
> One question : I didn't see any x2gothinclient_init, x2gothinclient_start file in /etc/x2go in this image ... where is the client configured and where can I add my broker settings ?

It all happens via boot parameters.  Please see
<https://wiki.x2go.org/doku.php/doc:howto:tce#boot_parameters_for_x2go-tce>
- you can specify a broker URL there, or a sessions file.

For newer kernels, Debian Stretch comes with 4.9, if I'm not mistaken,
and there probably are newer kernels available in the backports
repository.  We don't offer ready-made images for Stretch yet, but there
is the feature/stretch branch used by my TCE-Live co-maintainer Juri
Grabowski, so TCE-Live should work on Stretch, too.
(Yet another reason you should attend the Gathering - and bring your
demo setup - as Uli and Juri will be there in person, together with me.)

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 10:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 10:10:02 GMT) Full text and rfc822 format available.

Message #135 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Stefan Baur <X2Go-ML-1@baur-itcs.de>
Cc: 1197@bugs.x2go.org, Ulrich Sibiller <uli42@gmx.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 12:05:15 +0200 (CEST)
That's what I did and it simply didn't work for a Ubuntu based image.

Most configuration switches for live-build script are not supported under Ubuntu and well, I don't remember every bits of what were working or not because I tried monthes ago but it was to tricky and except for Debian, it was simply unusable as is.
As for the git repos, I tried many combinations and nothing worked as expected so I basicaly decided to do this by hand and take inspiration from the howto on what to install/tweak.

I ended with something that was not that complicated to do, scriptable (mostly) and working (except for this dual head stuff) so I stopped going the Live Build way, at least, just the time to sort out things and get back with some contributions on that part.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: 1197@bugs.x2go.org, "Ulrich Sibiller" <uli42@gmx.de> 
Envoyé: Mercredi 26 Juillet 2017 11:49:56 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Am 26.07.2017 um 11:25 schrieb Walid MOGHRABI: 
>> Why didn't you report your issues with the current build process in a 
>> bug or on the list so we have a chance to improve our build 
>> process/documentation? 
> 
> Well, for multiple reasons : 
> 
> First : the kernel image process uses live build scripts that are obsolete on Ubuntu 16.04 so it crashes all the time because of invalid dependencies problems (those scripts needs packages from Debian that are not available on Ubuntu) ... so it was just headaches 

You could probably set up a Debian changeroot using debootstrap 
(admittedly, I've never tried that, though), or a virtual machine with 
Debian as a dedicated build host. 


> Second : sorry to say that but the live build process documentation is pretty partial and based on situation where "it works" but outside that scope a lot of things "just don't work" and there are many forks for the setup scripts from many users so to be honest ... this is a bit messy and since there is nothing in the repo but everything in personnal github here and there, it was just to complicated 

Are you talking about the live-build project's documentation, or the 
X2Go-TCE-Live documentation? 

If all you want to do is build X2Go-TCE-Live images, you don't need to 
start by reading and trying to understand the live-build project's docs. 

Read our Wiki page: 
<https://wiki.x2go.org/doku.php/doc:howto:tce#starting_the_build>, run 
the three chunks of code given in the sections titled "Configuring the 
Build", "Live-Patching the Build", "Starting the Build", and you end up 
with a stable, i386 build ready for netbooting via PXE, TFTP, HTTP. 

Prefer one that boots from local/portable media? 
Change 
export LBX2GO_IMAGETYPE='netboot' 
to 
export LBX2GO_IMAGETYPE='iso-hybrid' 
in the first chunk of code, and you're done. Can't get much easier than 
that, can it? 

Kind Regards, 
Stefan Baur 

-- 
BAUR-ITCS UG (haftungsbeschränkt) 
Geschäftsführer: Stefan Baur 
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364 
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 10:15:02 GMT) Full text and rfc822 format available.

Message #140 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 12:10:42 +0200
On Wed, Jul 26, 2017 at 12:05 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> That's what I did and it simply didn't work for a Ubuntu based image.
>
> Most configuration switches for live-build script are not supported under Ubuntu and well, I don't remember every bits of what were working or not because I tried monthes ago but it was to tricky and except for Debian, it was simply unusable as is.
> As for the git repos, I tried many combinations and nothing worked as expected so I basicaly decided to do this by hand and take inspiration from the howto on what to install/tweak.
>
> I ended with something that was not that complicated to do, scriptable (mostly) and working (except for this dual head stuff) so I stopped going the Live Build way, at least, just the time to sort out things and get back with some contributions on that part.


Let's not get distracted.

Back to your setup. You posted xpdyinfo output some days ago that
clearly showed that the real X server on your TCE setup does not offer
xinerama. And you posted xrandr output that showed multiple screens
for the same X server. Just to be sure nothing got confused: please
run both commands again on the TCE's X server. If it stays like this
please check the  X server's logfile for any randr or xinerama
messages.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 11:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 11:40:02 GMT) Full text and rfc822 format available.

Message #145 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 13:36:39 +0200 (CEST)
You're right, here are what you asked, all taken from the TCE directly, not from within the X2Go session :

=========================================================================
root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xdpyinfo -display :0
name of display:    :0
version number:    11.0
vendor string:    The X.Org Foundation
vendor release number:    11804000
X.Org version: 1.18.4
maximum request size:  16777212 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, LSBFirst, 32
image byte order:    LSBFirst
number of supported pixmap formats:    7
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 4, bits_per_pixel 8, scanline_pad 32
    depth 8, bits_per_pixel 8, scanline_pad 32
    depth 15, bits_per_pixel 16, scanline_pad 32
    depth 16, bits_per_pixel 16, scanline_pad 32
    depth 24, bits_per_pixel 32, scanline_pad 32
    depth 32, bits_per_pixel 32, scanline_pad 32
keycode range:    minimum 8, maximum 255
focus:  window 0x600005, revert to Parent
number of extensions:    29
    BIG-REQUESTS
    Composite
    DAMAGE
    DOUBLE-BUFFER
    DPMS
    DRI2
    GLX
    Generic Event Extension
    MIT-SCREEN-SAVER
    MIT-SHM
    Present
    RANDR
    RECORD
    RENDER
    SECURITY
    SGI-GLX
    SHAPE
    SYNC
    X-Resource
    XC-MISC
    XFIXES
    XFree86-DGA
    XFree86-VidModeExtension
    XINERAMA
    XInputExtension
    XKEYBOARD
    XTEST
    XVideo
    XVideo-MotionCompensation
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    3840x1080 pixels (1016x285 millimeters)
  resolution:    96x96 dots per inch
  depths (7):    24, 1, 4, 8, 15, 16, 32
...
...
=========================================================================



=========================================================================
root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xrandr --display :0
Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
DVI-I-1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1280x1024     75.02    60.02  
   1152x864      75.00  
   1024x768      75.08    60.00  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
HDMI-1 disconnected (normal left inverted right x axis y axis)
VGA-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
   1920x1080     60.00*+
   1280x1024     75.02    60.02  
   1152x864      75.00  
   1024x768      75.08    60.00  
   800x600       75.00    60.32  
   640x480       75.00    60.00  
   720x400       70.08  
=========================================================================



Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
Envoyé: Mercredi 26 Juillet 2017 12:10:42 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Wed, Jul 26, 2017 at 12:05 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> That's what I did and it simply didn't work for a Ubuntu based image. 
> 
> Most configuration switches for live-build script are not supported under Ubuntu and well, I don't remember every bits of what were working or not because I tried monthes ago but it was to tricky and except for Debian, it was simply unusable as is. 
> As for the git repos, I tried many combinations and nothing worked as expected so I basicaly decided to do this by hand and take inspiration from the howto on what to install/tweak. 
> 
> I ended with something that was not that complicated to do, scriptable (mostly) and working (except for this dual head stuff) so I stopped going the Live Build way, at least, just the time to sort out things and get back with some contributions on that part. 


Let's not get distracted. 

Back to your setup. You posted xpdyinfo output some days ago that 
clearly showed that the real X server on your TCE setup does not offer 
xinerama. And you posted xrandr output that showed multiple screens 
for the same X server. Just to be sure nothing got confused: please 
run both commands again on the TCE's X server. If it stays like this 
please check the X server's logfile for any randr or xinerama 
messages. 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 11:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 11:50:02 GMT) Full text and rfc822 format available.

Message #150 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 13:45:24 +0200
On Wed, Jul 26, 2017 at 1:36 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> You're right, here are what you asked, all taken from the TCE directly, not from within the X2Go session :
>
> =========================================================================
> root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xdpyinfo -display :0

No, that's wrong!

xdpyinfo -ext XINERAMA -display :0 is the right command!

> =========================================================================
> root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xrandr --display :0
> Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
> DVI-I-1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm
>    1920x1080     60.00*+
>    1280x1024     75.02    60.02
>    1152x864      75.00
>    1024x768      75.08    60.00
>    800x600       75.00    60.32
>    640x480       75.00    60.00
>    720x400       70.08
> HDMI-1 disconnected (normal left inverted right x axis y axis)
> VGA-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm
>    1920x1080     60.00*+
>    1280x1024     75.02    60.02
>    1152x864      75.00
>    1024x768      75.08    60.00
>    800x600       75.00    60.32
>    640x480       75.00    60.00
>    720x400       70.08
> =========================================================================

So I expect the correct command to report 2 heads, one with
1920x1080+1920+0 and one with 1920x1080+0+0

If that is not the case we have the reason for the problems.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 11:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 11:55:01 GMT) Full text and rfc822 format available.

Message #155 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 13:52:21 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Sorry, find the correct output attached.
Seems to report 2 heads effectively.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
Envoyé: Mercredi 26 Juillet 2017 13:45:24 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Wed, Jul 26, 2017 at 1:36 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> You're right, here are what you asked, all taken from the TCE directly, not from within the X2Go session : 
> 
> ========================================================================= 
> root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xdpyinfo -display :0 

No, that's wrong! 

xdpyinfo -ext XINERAMA -display :0 is the right command! 

> ========================================================================= 
> root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# xrandr --display :0 
> Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192 
> DVI-I-1 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 510mm x 287mm 
> 1920x1080 60.00*+ 
> 1280x1024 75.02 60.02 
> 1152x864 75.00 
> 1024x768 75.08 60.00 
> 800x600 75.00 60.32 
> 640x480 75.00 60.00 
> 720x400 70.08 
> HDMI-1 disconnected (normal left inverted right x axis y axis) 
> VGA-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 510mm x 287mm 
> 1920x1080 60.00*+ 
> 1280x1024 75.02 60.02 
> 1152x864 75.00 
> 1024x768 75.08 60.00 
> 800x600 75.00 60.32 
> 640x480 75.00 60.00 
> 720x400 70.08 
> ========================================================================= 

So I expect the correct command to report 2 heads, one with 
1920x1080+1920+0 and one with 1920x1080+0+0 

If that is not the case we have the reason for the problems. 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[xdpyinfo_tce.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 12:00:02 GMT) Full text and rfc822 format available.

Message #160 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: Stefan Baur <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 13:58:14 +0200
On Wed, Jul 26, 2017 at 1:52 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Sorry, find the correct output attached.
> Seems to report 2 heads effectively.

Ok, now we are a step further. From my POV your client setup ist
correct. X11 wise. We now need to find out why nxagent does not get /
respect that information.

Let't have a look at the server side. In the same dir you found the
nxagent logfiles there will also be a file called options. What's the
content? Please also post an ls -l of the dir.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 12:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 12:25:02 GMT) Full text and rfc822 format available.

Message #165 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 14:19:36 +0200
Ok, thanks.

This shows that the TCE is using an old x2goclient that is still
generating a xinerama.conf on ther server side (this file's content
should match the values of xrandr and xdpyinfo you sent before). So
you probably have xinerama enabled in the session configuration in
x2goclient. For nx 3.5.99.x this is not required (but I doubt
adjusting that will change anything).

The options file contains fullscreen=1 and we have a bug regarding
that option (https://github.com/ArcticaProject/nx-libs/issues/449).

So I ask you to
- provide the options file and ls output also for the working Laptop session
- turn off fullscreen in the session's configuration and see if that
changes anything for you (maybe ctrl-alt-f will work then, too)

Uli



On Wed, Jul 26, 2017 at 2:08 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Here there are
>
>
> Regards,
> Walid Moghrabi
>
> TRAVAUX.COM
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
> 13591 AIX EN PROVENCE CEDEX 3
>
> ----- Mail original -----
>
> De: "Ulrich Sibiller" <uli42@gmx.de>
> À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>
> Cc: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org
> Envoyé: Mercredi 26 Juillet 2017 13:58:14
> Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
>
> On Wed, Jul 26, 2017 at 1:52 PM, Walid MOGHRABI
> <w.moghrabi@servicemagic.eu> wrote:
>> Sorry, find the correct output attached.
>> Seems to report 2 heads effectively.
>
> Ok, now we are a step further. From my POV your client setup ist
> correct. X11 wise. We now need to find out why nxagent does not get /
> respect that information.
>
> Let't have a look at the server side. In the same dir you found the
> nxagent logfiles there will also be a file called options. What's the
> content? Please also post an ls -l of the dir.
>
> Uli
> ---
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 12:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 12:35:01 GMT) Full text and rfc822 format available.

Message #170 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 14:33:37 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Please find them attached.

Just to note, I don't know what you mean by "older x2go client", on my TCE, x2go client is the most up to date I could get (Heuler release and up to date) :

===========================================================
root@TCE-CLIENT-DELL-VOSTRO430-4D1ZR4J:~# dpkg -l | grep "x2go\|nx"
ii  libxcomp3:amd64                    2:3.5.0.33-0~693~ubuntu16.04.1                                                   amd64        nx-X11 compression library
ii  nxproxy                            2:3.5.0.33-0~693~ubuntu16.04.1                                                   amd64        NX proxy
ii  pinentry-x2go                      0.7.5.10-0~106~ubuntu16.04.1                                                     amd64        Qt4-based PIN or pass-phrase entry dialog for x2goclient
ii  x2goclient                         4.1.0.1-0~1616~ubuntu16.04.1                                                     amd64        X2Go Client application (Qt4)
ii  x2gothinclient-common              1.5.0.0-0~612~ubuntu16.04.1                                                      all          X2Go thin client environment (common files)
ii  x2gothinclient-displaymanager      1.5.0.0-0~612~ubuntu16.04.1                                                      all          login daemon starting x2goclient in displaymanager mode
===========================================================

Note that I uninstalled Arctica Libs to see if it changed anything but it didn't, that's why you don't see Arctica's nxproxy/libxcomp3 versions.

Here are my client versions on my laptop :

===========================================================
walid@FRLM02:~$ dpkg -l | grep "x2go\|nx"
ii  libxcomp3:amd64                             2:3.5.0.33-0~693~ubuntu16.04.1                                                   amd64        nx-X11 compression library
ii  nxproxy                                     2:3.5.0.33-0~693~ubuntu16.04.1                                                   amd64        NX proxy
ii  x2goclient                                  4.1.0.1-0~1616~ubuntu16.04.1                                                     amd64        X2Go Client application (Qt4)
===========================================================

Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1197@bugs.x2go.org, "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
Envoyé: Mercredi 26 Juillet 2017 14:19:36 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

Ok, thanks. 

This shows that the TCE is using an old x2goclient that is still 
generating a xinerama.conf on ther server side (this file's content 
should match the values of xrandr and xdpyinfo you sent before). So 
you probably have xinerama enabled in the session configuration in 
x2goclient. For nx 3.5.99.x this is not required (but I doubt 
adjusting that will change anything). 

The options file contains fullscreen=1 and we have a bug regarding 
that option (https://github.com/ArcticaProject/nx-libs/issues/449). 

So I ask you to 
- provide the options file and ls output also for the working Laptop session 
- turn off fullscreen in the session's configuration and see if that 
changes anything for you (maybe ctrl-alt-f will work then, too) 

Uli 



On Wed, Jul 26, 2017 at 2:08 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Here there are 
> 
> 
> Regards, 
> Walid Moghrabi 
> 
> TRAVAUX.COM 
> BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403 
> 13591 AIX EN PROVENCE CEDEX 3 
> 
> ----- Mail original ----- 
> 
> De: "Ulrich Sibiller" <uli42@gmx.de> 
> À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
> Cc: "Stefan Baur" <X2Go-ML-1@baur-itcs.de>, 1197@bugs.x2go.org 
> Envoyé: Mercredi 26 Juillet 2017 13:58:14 
> Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 
> 
> On Wed, Jul 26, 2017 at 1:52 PM, Walid MOGHRABI 
> <w.moghrabi@servicemagic.eu> wrote: 
>> Sorry, find the correct output attached. 
>> Seems to report 2 heads effectively. 
> 
> Ok, now we are a step further. From my POV your client setup ist 
> correct. X11 wise. We now need to find out why nxagent does not get / 
> respect that information. 
> 
> Let't have a look at the server side. In the same dir you found the 
> nxagent logfiles there will also be a file called options. What's the 
> content? Please also post an ls -l of the dir. 
> 
> Uli 
> --- 
> DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you
[options_laptop.txt (text/plain, attachment)]
[ls_laptop.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 12:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 12:45:01 GMT) Full text and rfc822 format available.

Message #175 received at 1197@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <uli42@gmx.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 14:43:14 +0200
On Wed, Jul 26, 2017 at 2:33 PM, Walid MOGHRABI
<w.moghrabi@servicemagic.eu> wrote:
> Please find them attached.

Thanks.

> Just to note, I don't know what you mean by "older x2go client", on my TCE, x2go client is the most up to date I could get (Heuler release and up to date) :

I have been inexact: I should have written "x2goclient is using the
old xinerama method"

> Note that I uninstalled Arctica Libs to see if it changed anything but it didn't, that's why you don't see Arctica's nxproxy/libxcomp3 versions.

But only on the client side, I hope.

> - turn off fullscreen in the session's configuration and see if that
> changes anything for you (maybe ctrl-alt-f will work then, too)

Have you tried that?


I am starting to run out of ideas...

Can you please open an xterm on the TCE side, "ssh -X" to the server
and simply start "nxagent -ac +rrxinerama :5"? This should open an
empty nxagent window. You can then run (in anothjer shell _on the
server_) xrandr -display :5. This way we take out x2go completely.

Please also try this for the laptop session.

Uli


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Wed, 26 Jul 2017 12:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 26 Jul 2017 12:55:02 GMT) Full text and rfc822 format available.

Message #180 received at 1197@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Ulrich Sibiller <uli42@gmx.de>
Cc: 1197@bugs.x2go.org, Stefan Baur <X2Go-ML-1@baur-itcs.de>
Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode
Date: Wed, 26 Jul 2017 14:52:45 +0200 (CEST)
> But only on the client side, I hope.

Off course. Arctica Libs + X2Go Heuler on the server side.

I tried with "fullscreen=false" but it didn't change anything.

I'll try without the option at all.

I can't do your testing right now, I'll get back to you with the results asap.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Ulrich Sibiller" <uli42@gmx.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu> 
Cc: 1197@bugs.x2go.org, "Stefan Baur" <X2Go-ML-1@baur-itcs.de> 
Envoyé: Mercredi 26 Juillet 2017 14:43:14 
Objet: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode 

On Wed, Jul 26, 2017 at 2:33 PM, Walid MOGHRABI 
<w.moghrabi@servicemagic.eu> wrote: 
> Please find them attached. 

Thanks. 

> Just to note, I don't know what you mean by "older x2go client", on my TCE, x2go client is the most up to date I could get (Heuler release and up to date) : 

I have been inexact: I should have written "x2goclient is using the 
old xinerama method" 

> Note that I uninstalled Arctica Libs to see if it changed anything but it didn't, that's why you don't see Arctica's nxproxy/libxcomp3 versions. 

But only on the client side, I hope. 

> - turn off fullscreen in the session's configuration and see if that 
> changes anything for you (maybe ctrl-alt-f will work then, too) 

Have you tried that? 


I am starting to run out of ideas... 

Can you please open an xterm on the TCE side, "ssh -X" to the server 
and simply start "nxagent -ac +rrxinerama :5"? This should open an 
empty nxagent window. You can then run (in anothjer shell _on the 
server_) xrandr -display :5. This way we take out x2go completely. 

Please also try this for the laptop session. 

Uli
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1197; Package x2gothinclient. (Sat, 13 Jan 2018 06:45:02 GMT) Full text and rfc822 format available.

Message #183 received at 1197@bugs.x2go.org (full text, mbox):

From: Service@ymir.das-netzwerkteam.de:[ Whatsapp ] <verfy-line99695801337@support.com>
To: 1197@bugs.x2go.org
Subject: [APP] Aktiviere deinen Account .
Date: Sat, 13 Jan 2018 07:42:45 +0100
[Message part 1 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Dec 13 15:25:45 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.